import { ChartAnnotation, ChartDimension, ChartMeasure, ChartSettings, EntityType, Property, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions, SeriesComponentType } from './types';
export declare function cartesian(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions, type: string): {
    dataset: any[];
    grid: any[];
    xAxis: any[];
    yAxis: any[];
    series: any[];
    visualMap: any[];
    tooltip: any[];
    dataZoom: any[];
};
export declare function cartesians(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): any[];
export declare function cartesianCoordinate(data: Array<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    [x: string]: any[] | {
        top: number;
        right: number;
        bottom: number;
        left: number;
        containLabel: boolean;
        type?: undefined;
    } | {
        type: string;
        top?: undefined;
        right?: undefined;
        bottom?: undefined;
        left?: undefined;
        containLabel?: undefined;
    };
    grid: {
        top: number;
        right: number;
        bottom: number;
        left: number;
        containLabel: boolean;
    };
    visualMap: any[];
    datasets: any[];
    tooltip: any[];
    series: any[];
};
export declare function serializeSeriesComponent(dataset: any, seriesComponent: SeriesComponentType, entityType: any, category: any, valueAxis: any, settings: ChartSettings): {
    series: any;
    visualMaps: any[];
};
export declare function getVisualMapValueAxisIndex(dataset: any, seriesComponent: any, series?: ChartDimension): number;
export declare function getLegendColorForVisualMap(colors: any): any;
export declare function getSymbolSizeVisualMap(measure: ChartMeasure, property: Property, dataset: any): {
    left: string;
    top: string;
    dimension: any;
    min: any;
    max: any;
    itemWidth: number;
    itemHeight: number;
    calculable: boolean;
    precision: number;
    text: string[];
    textGap: number;
    inRange: {
        symbolSize: number[];
    };
    outOfRange: {
        symbolSize: number[];
        color: string[];
    };
    controller: {
        inRange: {
            color: string[];
        };
        outOfRange: {
            color: string[];
        };
    };
};
export declare function getColorLightnessVisualMap(measure: ChartMeasure, property: Property, dataset: {
    dimensions: string[];
    source: any;
}): {
    left: string;
    bottom: string;
    dimension: number;
    min: any;
    max: any;
    itemHeight: number;
    text: string[];
    textGap: number;
    inRange: {
        colorLightness: number[];
    };
    outOfRange: {
        color: string[];
    };
    controller: {
        inRange: {
            color: string[];
        };
        outOfRange: {
            color: string[];
        };
    };
};
export declare function measuresToSeriesComponents(measures: ChartMeasure[], data: any[], entityType: EntityType, settings: ChartSettings): SeriesComponentType[];
