import { ChartAnnotation, EntityType, QueryReturn } from '@metad/ocap-core';
export declare function treemap(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType): {
    series: {
        type: string;
        id: string;
        animationDurationUpdate: number;
        roam: boolean;
        nodeClick: any;
        data: unknown[];
        universalTransition: boolean;
        label: {
            show: boolean;
        };
        breadcrumb: {
            show: boolean;
        };
        levels: ({
            itemStyle: {
                borderColor: string;
                borderWidth: number;
                gapWidth: number;
                borderColorSaturation?: undefined;
            };
            colorSaturation?: undefined;
        } | {
            colorSaturation: number[];
            itemStyle: {
                borderColorSaturation: number;
                gapWidth: number;
                borderWidth: number;
                borderColor?: undefined;
            };
        } | {
            colorSaturation: number[];
            itemStyle: {
                borderColorSaturation: number;
                gapWidth: number;
                borderColor?: undefined;
                borderWidth?: undefined;
            };
        } | {
            colorSaturation: number[];
            itemStyle?: undefined;
        })[];
    }[];
};
export declare function sunburst(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType): {
    series: {
        type: string;
        id: string;
        radius: string[];
        animationDurationUpdate: number;
        nodeClick: any;
        data: unknown[];
        universalTransition: boolean;
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
        label: {};
    }[];
};
export declare function sankey(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType): {
    series: {
        type: string;
        id: string;
        universalTransition: boolean;
        data: unknown[];
        links: any[];
    }[];
};
export declare function leveledHierarchy(data: Array<unknown>, chartAnnotation: ChartAnnotation, aggregator: (data: any, key: any) => number): {
    name: string;
    children: unknown[];
    value: any;
}[];
/**
 *
 * @param data
 * @param chartAnnotation
 * @param aggregator
 */
export declare function leveledGraph(data: Array<unknown>, chartAnnotation: ChartAnnotation, aggregator: (data: any, key: any) => number): {
    nodes: unknown[];
    links: any[];
};
