import { SmartChartEngine } from '@metad/ocap-core';
import { BehaviorSubject } from 'rxjs';
export declare class SmartEChartEngine extends SmartChartEngine {
    readonly error$: BehaviorSubject<any>;
    readonly echartsOptions$: import("rxjs").Observable<{
        options: {
            dataset: any[];
            grid: any[];
            xAxis: any[];
            yAxis: any[];
            series: any[];
            visualMap: any[];
            tooltip: any[];
            dataZoom: any[];
        };
    } | {
        options: {
            dataset: any[];
            grid3D: any[];
            xAxis3D: any[];
            yAxis3D: any[];
            zAxis3D: any[];
            series: any[];
            visualMap: any[];
        };
    } | {
        options: {
            series: {
                type: string;
                id: string;
                animationDurationUpdate: number;
                roam: boolean;
                nodeClick: any;
                data: unknown[];
                universalTransition: boolean;
                label: {
                    show: boolean;
                };
                breadcrumb: {
                    show: boolean;
                };
                levels: ({
                    itemStyle: {
                        borderColor: string;
                        borderWidth: number;
                        gapWidth: number;
                        borderColorSaturation?: undefined;
                    };
                    colorSaturation?: undefined;
                } | {
                    colorSaturation: number[];
                    itemStyle: {
                        borderColorSaturation: number;
                        gapWidth: number;
                        borderWidth: number;
                        borderColor?: undefined;
                    };
                } | {
                    colorSaturation: number[];
                    itemStyle: {
                        borderColorSaturation: number;
                        gapWidth: number;
                        borderColor?: undefined;
                        borderWidth?: undefined;
                    };
                } | {
                    colorSaturation: number[];
                    itemStyle?: undefined;
                })[];
            }[];
        };
    } | {
        options: {
            series: {
                type: string;
                id: string;
                radius: string[];
                animationDurationUpdate: number;
                nodeClick: any;
                data: unknown[];
                universalTransition: boolean;
                itemStyle: {
                    borderWidth: number;
                    borderColor: string;
                };
                label: {};
            }[];
        };
    } | {
        options: {
            series: {
                type: string;
                id: string;
                universalTransition: boolean;
                data: unknown[];
                links: any[];
            }[];
        };
    } | {
        options: {
            geo: {
                map: string;
                projection: {
                    project: (point: any) => any;
                    unproject: (point: any) => any;
                };
                roam: boolean;
                emphasis: {
                    label: {
                        show: boolean;
                    };
                };
            };
            visualMap: {
                show: boolean;
                left: string;
                min: number;
                max: number;
                inRange: {
                    color: string[];
                };
                text: string[];
                calculable: boolean;
            }[];
            tooltip: {
                trigger: string;
                showDelay: number;
                transitionDuration: number;
            };
            series: {
                name: string;
                type: string;
                coordinateSystem: string;
                geoIndex: number;
                itemStyle: {
                    color: string;
                };
                emphasis: {
                    label: {
                        show: boolean;
                    };
                };
                data: any;
                encode: {
                    tooltip: number[];
                    value: number;
                };
            }[];
        };
    }>;
    selectChartOptions(): import("rxjs").Observable<{
        options: {
            dataset: any[];
            grid: any[];
            xAxis: any[];
            yAxis: any[];
            series: any[];
            visualMap: any[];
            tooltip: any[];
            dataZoom: any[];
        };
    } | {
        options: {
            dataset: any[];
            grid3D: any[];
            xAxis3D: any[];
            yAxis3D: any[];
            zAxis3D: any[];
            series: any[];
            visualMap: any[];
        };
    } | {
        options: {
            series: {
                type: string;
                id: string;
                animationDurationUpdate: number;
                roam: boolean;
                nodeClick: any;
                data: unknown[];
                universalTransition: boolean;
                label: {
                    show: boolean;
                };
                breadcrumb: {
                    show: boolean;
                };
                levels: ({
                    itemStyle: {
                        borderColor: string;
                        borderWidth: number;
                        gapWidth: number;
                        borderColorSaturation?: undefined;
                    };
                    colorSaturation?: undefined;
                } | {
                    colorSaturation: number[];
                    itemStyle: {
                        borderColorSaturation: number;
                        gapWidth: number;
                        borderWidth: number;
                        borderColor?: undefined;
                    };
                } | {
                    colorSaturation: number[];
                    itemStyle: {
                        borderColorSaturation: number;
                        gapWidth: number;
                        borderColor?: undefined;
                        borderWidth?: undefined;
                    };
                } | {
                    colorSaturation: number[];
                    itemStyle?: undefined;
                })[];
            }[];
        };
    } | {
        options: {
            series: {
                type: string;
                id: string;
                radius: string[];
                animationDurationUpdate: number;
                nodeClick: any;
                data: unknown[];
                universalTransition: boolean;
                itemStyle: {
                    borderWidth: number;
                    borderColor: string;
                };
                label: {};
            }[];
        };
    } | {
        options: {
            series: {
                type: string;
                id: string;
                universalTransition: boolean;
                data: unknown[];
                links: any[];
            }[];
        };
    } | {
        options: {
            geo: {
                map: string;
                projection: {
                    project: (point: any) => any;
                    unproject: (point: any) => any;
                };
                roam: boolean;
                emphasis: {
                    label: {
                        show: boolean;
                    };
                };
            };
            visualMap: {
                show: boolean;
                left: string;
                min: number;
                max: number;
                inRange: {
                    color: string[];
                };
                text: string[];
                calculable: boolean;
            }[];
            tooltip: {
                trigger: string;
                showDelay: number;
                transitionDuration: number;
            };
            series: {
                name: string;
                type: string;
                coordinateSystem: string;
                geoIndex: number;
                itemStyle: {
                    color: string;
                };
                emphasis: {
                    label: {
                        show: boolean;
                    };
                };
                data: any;
                encode: {
                    tooltip: number[];
                    value: number;
                };
            }[];
        };
    }>;
}
