import { ChartDimension, ChartMeasure, PrimitiveType, Property } from '@metad/ocap-core';
import { AxisEnum, SeriesComponentType } from './types';
/**
 * 计算出 ECharts tooltip 配置
 *
 * @param tooltipOptions
 * @param dimProperty
 * @param measures
 * @param seriesComponents
 * @param locale
 * @returns
 */
export declare function getEChartsTooltip(tooltipOptions: any, dimProperty: Property, measures: Array<{
    measure: ChartMeasure;
    property: Property;
}>, seriesComponents: SeriesComponentType[], locale: string, rowRuler?: (data: any) => any): any;
export declare function getEChartsMatrixTooltip(tooltipOptions: any, chartCategory: ChartDimension, seriesCategory: ChartDimension, _categoryAxis: AxisEnum, _valueAxis: AxisEnum, categoryValueTexts: Map<string, string>, seriesValueTexts: Map<string, string>, seriesComponents: SeriesComponentType[], locale: string, settings: any): any;
export declare function getSeriesComponentMeasureName(seriesComponents: Array<SeriesComponentType>, i: number): string;
export declare function formatCategoryLabel(value: PrimitiveType, valueTexts: Map<PrimitiveType, string>, category: ChartDimension): string;
/**
 * 数字缩写格式化
 * @param value 数字
 * @param shortNumber 数字是否缩写
 */
export declare function echartsFormatNumber(value: any, settings?: any, shortNumber?: boolean, locale?: string): any;
/**
 * 度量的数字缩写格式化
 *
 * @param measure 度量
 * @param value 数值
 * @param locale 地区
 * @param shortNumber 是否缩短
 * @returns
 */
export declare function formatMeasureNumber({ measure, property }: {
    measure: ChartMeasure;
    property: Property;
}, value: number | string, locale: string, shortNumber?: boolean): string;
export declare function _formatDimensionValue(item: any, dimProperty?: Property | null): string;
export declare function formatMeasureLabel(item: unknown, { measure, property }: {
    measure: ChartMeasure;
    property: Property;
}, locale: string, shortNumber?: boolean): string;
export declare function formatMeasuresLabel(item: unknown, measures: Array<{
    measure: ChartMeasure;
    property: Property;
}>, locale: string, shortNumber?: boolean): string;
export declare function setCategoryAxisLabel(category: any, items: any, chartCategory: ChartDimension, property: Property): void;
export declare function format(value: any, formatter: any): string;
export declare function formatShortNumber(value: any, locale?: string): any[];
export declare function formatNumber(short: number, locale: string, digitInfo?: string): number;
